var mapper =  mapperFactory.createMapperMult(['AnaliseDeVenda']);
var vendasLojaELogistica = mapper.selectList('AnaliseDeVenda.getVendasLojaELogistica', message);
var vendaApenasTelevendas = mapper.selectList('AnaliseDeVenda.getVendasTelevendas', message);

var vendas = [];
if(vendasLojaELogistica.size() > 0){

    var filialCorrente = 0;
    for(var i = 0; i<vendasLojaELogistica.size(); i++){
        if(vendasLojaELogistica.get(i).get('cdFilial') != filialCorrente){
            filialCorrente = vendasLojaELogistica.get(i).get('cdFilial');
            if(vendasLojaELogistica.get(i).get('origemVenda') == 0){
                vendas.push({'cdFilial': vendasLojaELogistica.get(i).get('cdFilial'), 'vlrTotLoja': parseFloat(vendasLojaELogistica.get(i).get('vlrTotIt')), 'vlrTotTele': 0});
            }else{
                vendas.push({'cdFilial': vendasLojaELogistica.get(i).get('cdFilial'), 'vlrTotLoja': 0, 'vlrTotTele': parseFloat(vendasLojaELogistica.get(i).get('vlrTotIt'))});
            }

        }else{

            if(vendasLojaELogistica.get(i).get('origemVenda') == 0){
                vendas[vendas.length - 1].vlrTotLoja += parseFloat(vendasLojaELogistica.get(i).get('vlrTotIt'));
            }else{
                vendas[vendas.length - 1].vlrTotTele += parseFloat(vendasLojaELogistica.get(i).get('vlrTotIt'));
            }

        }
    }
}

var flagAdicionado = false;
for(var i =0; i<vendaApenasTelevendas.size(); i++){
    flagAdicionado = false;

    for(var j =0; j<vendas.length; j++){
        if(vendas[j].cdFilial == vendaApenasTelevendas.get(i).get('cdFilial')){
            vendas[j].vlrTotTele += parseFloat(vendaApenasTelevendas.get(i).get('vlrTotIt'));
            flagAdicionado = true;
            break;
        }
    }

    if(!flagAdicionado)
        vendas.push({'cdFilial': vendaApenasTelevendas.get(i).get('cdFilial'), 'vlrTotLoja': 0, 'vlrTotTele': parseFloat(vendaApenasTelevendas.get(i).get('vlrTotIt'))});
}

vendas;
